/*
 * my_sobel.cpp
 *
 *  Created on: 2016/08/11
 *      Author: takemasa
 */

#include <opencv2/opencv.hpp>
#include <iostream>


#include "my_funcs.h"

cv::Mat my_sobel(cv::Mat src)
{
	cv::Mat dst, tmp;

	cv::Sobel(src,tmp,CV_32F,1,1);
	cv::convertScaleAbs(tmp,dst,1,0);

	return dst;
}


